aboutsummaryrefslogtreecommitdiff
path: root/tools/generate-python.sh
diff options
context:
space:
mode:
authorPatrick Steinhardt <ps@pks.im>2026-03-19 06:33:24 +0100
committerJunio C Hamano <gitster@pobox.com>2026-03-19 06:40:09 -0700
commita767f2fd6c5a6104ff32a35a27f0c15aec546957 (patch)
treed558fdbd55b625018b35d7e83ac3c1d4217ef318 /tools/generate-python.sh
parent405c98a6a0e017f41f5de9c649a8f6f1b3fc4314 (diff)
downloadgit-a767f2fd6c5a6104ff32a35a27f0c15aec546957.tar.xz
builds: move build scripts into "tools/"
We have a bunch of scripts used by our different build systems that are all located in the top-level directory. Now that we have introduced the new "tools/" directory though we have a better home for them. Move the scripts into the "tools/" directory. Signed-off-by: Patrick Steinhardt <ps@pks.im> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'tools/generate-python.sh')
-rwxr-xr-xtools/generate-python.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tools/generate-python.sh b/tools/generate-python.sh
new file mode 100755
index 0000000000..31ac115689
--- /dev/null
+++ b/tools/generate-python.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+if test $# -ne 3
+then
+ echo >&2 "USAGE: $0 <GIT_BUILD_OPTIONS> <INPUT> <OUTPUT>"
+ exit 1
+fi
+
+GIT_BUILD_OPTIONS="$1"
+INPUT="$2"
+OUTPUT="$3"
+
+. "$GIT_BUILD_OPTIONS"
+
+sed -e "1s|#!.*python|#!$PYTHON_PATH|" \
+ "$INPUT" >"$OUTPUT+"
+chmod a+x "$OUTPUT+"
+mv "$OUTPUT+" "$OUTPUT"